import { request, cityGisRequest } from '../request';

export function getDataByArea() {
  return request({
    url: '/kanban/getDataByArea',
    method: 'get'
  });
}

export function getHistogramData() {
  return request({
    url: '/kanban/getHistogramData',
    method: 'get'
  });
}

export function addCdcDraw(data) {
  return request({
    url: '/code/cdc-draw-lines/addCdcDraw',
    method: 'post',
    data: data
  });
}

export function getTrajectorPointOnPeople(params) {
  return request({
    url: '/guiji/getTrajectorPointOnPeople',
    method: 'get',
    params: params
  });
}

export function getGeocode(params) {
  return cityGisRequest({
    url: '/citygis-geocode/geocode',
    method: 'get',
    params: params
  });
}

//获取会商车洒点
export function getTrajectorPointOnCar() {
  return request({
    url: '/guiji/getTrajectorPointOnCar',
    method: 'get'
  });
}

//获取会商车轨迹
export function getTrajectorPointOnCarById(params) {
  return request({
    url: '/guiji/getTrajectorPointOnCarById',
    method: 'get',
    params: params
  });
}
