import { ref } from 'vue';
import { defineStore } from 'pinia';

export const useDrawPointStore = defineStore('drawPointStore', () => {
  //当前患者绘制点位列表
  const currentDrawPointList = ref([
    {
      x: 11661.994542328279,
      y: 4966.256266126279,
      date: '2023-02-23 19:23',
      address: '七宝宛平南路测试测试测试'
    },
    {
      x: 12426.364825179011,
      y: 4463.0456355269,
      date: '2023-02-23 19:23',
      address: '七宝宛平南路测试测试测试'
    },
    {
      x: 12413.625223270126,
      y: 4189.146381366776,
      date: '2023-02-23 19:23',
      address: '七宝宛平南路测试测试测试'
    },
    {
      x: 11814.868598898425,
      y: 3736.8938668183914,
      date: '2023-02-23 19:23',
      address: '七宝宛平南路测试测试测试'
    },
    {
      x: 10789.338372212318,
      y: 3494.8434716386146,
      date: '2023-02-23 19:23',
      address: '七宝宛平南路测试测试测试'
    },
    {
      x: 10451.741545883931,
      y: 3106.288383466594,
      date: '2023-02-23 19:23',
      address: '七宝宛平南路测试测试测试'
    }
  ]);

  //是否开始标会
  const drawStartStatus = ref(false);

  //信息框当前展示点位index
  const infoBoxIndex = ref(0);

  //修改当前展示点位index
  const setInfoBoxIndex = (index) => {
    infoBoxIndex.value = index;
  };

  //修改是否开始绘制状态
  const setDrawStartStatus = (value) => {
    drawStartStatus.value = value;
  };

  const pushCurrentDrawPointList = (point) => {
    currentDrawPointList.value.push(point);
  };

  const modifyCurrentDrawPointList = (key, value) => {
    if (currentDrawPointList.value[infoBoxIndex.value]) {
      currentDrawPointList.value[infoBoxIndex.value][key] = value;
    }
  };
  return {
    currentDrawPointList,
    infoBoxIndex,
    setInfoBoxIndex,
    drawStartStatus,
    pushCurrentDrawPointList,
    setDrawStartStatus,
    modifyCurrentDrawPointList
  };
});
